--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Discrete media types must be handled by non-MIME mechanisms; they are opaque to MIME processors. Therefore, the body of a DiscreteMediaType object does not need further MIME processing.
- !ruby/struct:SM::Flow::P 
  body: This class is abstract.
constants: []

full_name: MIME::DiscreteMediaType
includes: []

instance_methods: []

name: DiscreteMediaType
superclass: MediaType
